Bug 20777 - Remove unused field accountlines.dispute
Summary: Remove unused field accountlines.dispute
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 20396
  Show dependency treegraph
 
Reported: 2018-05-17 13:47 UTC by Tomás Cohen Arazi
Modified: 2018-09-17 14:29 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20777: Remove unused accountlines.dispute field (1.78 KB, patch)
2018-05-17 13:55 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 20777: DBIC update (1.52 KB, patch)
2018-05-17 13:55 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 20777: (follow-up) Remove 'dispute' reference in /credits endpoint (897 bytes, patch)
2018-09-14 16:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 20777: Remove unused accountlines.dispute field (1.83 KB, patch)
2018-09-14 17:34 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20777: DBIC update (1.56 KB, patch)
2018-09-14 17:34 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20777: (follow-up) Remove 'dispute' reference in /credits endpoint (943 bytes, patch)
2018-09-14 17:34 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20777: Remove unused accountlines.dispute field (1.92 KB, patch)
2018-09-15 20:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20777: DBIC update (1.64 KB, patch)
2018-09-15 20:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20777: (follow-up) Remove 'dispute' reference in /credits endpoint (1.00 KB, patch)
2018-09-15 20:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2018-05-17 13:47:27 UTC
This field is not used on the code base.
Comment 1 Tomás Cohen Arazi 2018-05-17 13:55:52 UTC
Created attachment 75397 [details] [review]
Bug 20777: Remove unused accountlines.dispute field

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Tomás Cohen Arazi 2018-05-17 13:55:59 UTC
Created attachment 75398 [details] [review]
Bug 20777: DBIC update

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 M. Tompsett 2018-09-14 14:39:08 UTC
git grep -i dispute finds a REST API reference to dispute. Shouldn't that be removed too?
Comment 4 Tomás Cohen Arazi 2018-09-14 16:11:19 UTC
Created attachment 78665 [details] [review]
Bug 20777: (follow-up) Remove 'dispute' reference in /credits endpoint

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 M. Tompsett 2018-09-14 17:34:14 UTC
Created attachment 78671 [details] [review]
Bug 20777: Remove unused accountlines.dispute field

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 6 M. Tompsett 2018-09-14 17:34:17 UTC
Created attachment 78672 [details] [review]
Bug 20777: DBIC update

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 7 M. Tompsett 2018-09-14 17:34:21 UTC
Created attachment 78673 [details] [review]
Bug 20777: (follow-up) Remove 'dispute' reference in /credits endpoint

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 8 Jonathan Druart 2018-09-15 20:55:34 UTC
Created attachment 78893 [details] [review]
Bug 20777: Remove unused accountlines.dispute field

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2018-09-15 20:55:37 UTC
Created attachment 78894 [details] [review]
Bug 20777: DBIC update

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2018-09-15 20:55:41 UTC
Created attachment 78895 [details] [review]
Bug 20777: (follow-up) Remove 'dispute' reference in /credits endpoint

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Nick Clemens 2018-09-15 23:29:02 UTC
Awesome work all!

Pushed to master for 18.11
Comment 12 Martin Renvoize 2018-09-17 14:29:44 UTC
Pushed to 18.05.x for 18.05.04.

Go code cleanup :)